%define name	ac3jack
%define version	0.1.2
%define release %mkrel 8

Name: 	 	%{name}
Summary: 	Jack audio to ac3 surround converter
Version: 	%{version}
Release: 	%{release}
URL:		http://essej.net/ac3jack/
License:	GPL
Group:		Sound
Source:		%{name}-%{version}.tar.bz2
Patch:      ac3jack-0.1.2-fix-ffmpeg-includes.patch
BuildRequires:	pkgconfig
BuildRequires:	ffmpeg-devel jackit-devel
BuildRequires:	libsndfile-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
ac3jack is a tool for creating an AC-3 (Dolby Digital) multichannel stream
from its JACK input ports. Using this tool, an AC-3 stream (up to 5.1
channels) is created in real time and either written to a file or streamed to
standard output.

When streamed to stdout and piped through the ALSA tool ac3dec -C, the AC-3
stream can be passed out the SPDIF port on your audio interface for connection
to a multichannel surround receiver. In this way, you can achieve full 5.1
surround mixing and monitoring of your JACK applications with a single digital
cable, and no need for hardware supporting discrete outputs and inputs.

AC-3 is a compressed audio stream, so quality will suffer somewhat, but it is
the price you pay for easy surround sound. After all, if it is good enough for
DVD and film soundtracks, it must be OK.

%prep
%setup -q
%patch -p 1

%build
%configure2_5x
%make
										
%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog
%{_bindir}/%name
%{_mandir}/man1/*


%changelog
* Mon Oct 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.2-8mdv2010.0
+ Revision: 454238
- fix build

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild
    - rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.1.2-4mdv2008.1
+ Revision: 135813
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Jul 21 2007 Stefan van der Eijk <stefan@mandriva.org> 0.1.2-4mdv2008.0
+ Revision: 54302
- Import ac3jack



* Mon Jun 26 2006 Lenny Cartier <lenny@mandriva.com> 0.1.2-4mdv2007.0
- rebuild

* Fri Mar 31 2006 Austin Acton <austin@mandriva.org> 0.1.2-3mdk
- Rebuild

* Tue Nov 08 2005 Austin Acton <austin@mandriva.org> 0.1.2-2mdk
- Rebuild

* Mon Feb 16 2004 Austin Acton <austin@mandrake.org> 0.1.2-1mdk
- 0.1.2

* Wed Jan 14 2004 Austin Acton <aacton@yorku.ca> 0.1.1-1mdk
- initial package
